#include <bits/stdc++.h>
using namespace std;
#define rep(i,a,n) for (int i=a;i<n;i++)
#define per(i,a,n) for (int i=n-1;i>=a;i--)
#define pb push_back
#define mp make_pair
#define all(x) (x).begin(),(x).end()
#define fi first
#define se second
#define SZ(x) ((int)(x).size())
typedef vector<int> VI;
typedef long long ll;
typedef pair<int,int> PII;
typedef double db;
mt19937 mrand(random_device{}()); 
const ll mod=1000000007;
const ll mod2=998244353;
int rnd(int x) { return mrand() % x;}
ll powmod(ll a,ll b) {ll res=1;a%=mod; assert(b>=0); for(;b;b>>=1){if(b&1)res=res*a%mod;a=a*a%mod;}return res;}
ll gcd(ll a,ll b) { return b?gcd(b,a%b):a;}
// head

const int N=1505;
int n,x[N],y[N],p[N];
map<PII,int> cnt;

int main() {
	scanf("%d",&n);
	rep(i,0,n) scanf("%d%d",x+i,y+i),p[i]=i;
	sort(p,p+n,[&](int i,int j) { 
		if (x[i]!=x[j]) return x[i]<x[j];
		return y[i]<y[j];
	});
	rep(i,0,n) rep(j,i+1,n)
		cnt[mp(x[p[i]]-x[p[j]],y[p[i]]-y[p[j]])]++;
	int ans=0;
	rep(i,0,n) rep(j,i+1,n)
		ans+=cnt[mp((x[p[i]]-x[p[j]])*2,(y[p[i]]-y[p[j]])*2)];
	printf("%d",ans);
}